MSHRABLE(1)

NAME
mshrable — Generate mesh from surface file

SYNOPSIS

mshrable [-f FILE]

DESCRIPTION

mshrable generates a mesh from a surface file. It uses mshr, which is the mesh generation component of FEniCS. It generates simplicial DOLFIN meshes in 2D and 3D from geometries described by Constructive Solid Geometry (CSG) or from surface files, utilizing CGAL and Tetgen as mesh generation backends.

OPTIONS

-o [--outfile] arg
    Filename of generated Dolfin mesh.

-r [--resolution] arg (=15)
    Resolution of result mesh.

-s [--stats]
    Write some statistics of the mesh to stdout.

--polyout arg
    Write the polyhedron to .poly which Tetgen can read (and do not create a mesh).

--polystats
    Write statistics of polyhedron (and do not create a mesh).

-b [--backend] arg (=cgal)
    Use 3D mesh generation backend [tetgen|cgal].

--degenerate_tolerance arg (=9.9999999999999998e-13)
    Tolerance for considering a facet as degenerate. Set to 0 to not remove degenerate facets.

--check-mesh
    Check consistency of output mesh (most for debugging/testing.

-v [--verbose]
    Output more information about what is going on.

-h [--help]
    write help message.

SEE ALSO

dolfin-convert (1), dolfin-order (1)

AUTHOR

mshrable was written by Benjamin Kehlet benjamik@simula.no. This man page was written by Drew Parsons dparsons@debian.org.